Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 235506 - UI for cloning a git repository could be simplified
UI for cloning a git repository could be simplified
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.4
All All
: P2 (vote)
: 8.0
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 14:06 UTC by Petr Jiricka
Modified: 2013-09-17 02:01 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2013-09-04 14:06:19 UTC
When going through the Git Clone repository wizard, there are three steps:
-Remote repository
-Remote branches
-Destination directory

For most of the options in step 2 and 3, I am fine with the defaults, and don't need to change anything. The only thing I typically want to change or at least review is Parent Directory.

So I would suggest that Parent Directory should be moved to the first step, and the other two steps should be optional. I.e. I should be able to click Finish on the first step.
Comment 1 Ondrej Vrabec 2013-09-05 07:16:10 UTC
Makes no sense to me:
1) current clone wizard is divided into three logical steps: from, what, where to clone, breaking the steps and mixing them seems awkward, undesired and confusing
2) how many times per a day do you clone an external repository? If you were talking about a fetch or push i'd agree but making hacks and shortcuts for a use-case you go through once per month is not something i'd vote for

let's wait for more requests and votes
Comment 2 Petr Jiricka 2013-09-05 08:00:41 UTC
> how many times per a day do you clone an external repository?

Currently when I explore various technologies, samples etc, about 1-3 times a day. The command line interface for the typical operation is very simple: 
1. cd <desired_target_directory>
2. git clone <my_repository_url>

The UI interface in NetBeans is much more complex and confusing, and I don't need 90% of it. I tried to use it for my typical workflow that I go through at least once a day these days, and it's an overkill. I'll continue to use the much simpler command-line interface.
Comment 3 Ondrej Vrabec 2013-09-16 08:52:45 UTC
very well...

fix: http://hg.netbeans.org/core-main/rev/cf630492f2ab
Comment 4 Quality Engineering 2013-09-17 02:01:53 UTC
Integrated into 'main-silver', will be available in build *201309170002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/cf630492f2ab
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #235506 - UI for cloning a git repository could be simplified
- making the initial panel finishable, adding target folder field to this panel
- by default cloning all branches as "origin/*" when the wizard is finished from the initial panel


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo